/**
  *  \file client/widgets/ftrinfo.h
  *  \brief WFighterInfo widget
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_FTRINFO_H
#define PCC_V2_CLIENT_WIDGETS_FTRINFO_H

#include "ui/ui.h"

/** Fighter information widget. Displays information about a race's
    fighter. (Fighters can have different specs for each race in
    PHost.) */
class WFighterInfo : public UIWidget {
    int player_id;
 public:
    WFighterInfo();
    ~WFighterInfo();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& li);
    void setPlayerId(int n);
};

#endif
